Subject: bug#18247: Cyclic dependencies in (gnu package *) modules

From: Eric Bavier <[email-masked]>
Date: Tue, 12 Aug 2014 15:53:15 -0500

Ludovic Courtès writes:

> As a stop-gap measure, I’ve worked around the problem in commit d759cf6,
> which removes the dependency from texinfo to gettext.
>
> (Éric: I see one test failure in texi2html, which is a priori unrelated
> to the change.  Could you check what’s going on?)

The problem is that texi2html does actually require gettext.  Its
makefile wants to install mo files that are not present in the
distribution (so msgfmt is required).  Configuring with --disable-nls
causes the resulting script to fail at runtime.

Perhaps moving texi2html into its own module would solve the circular
dependency?

-- 
Eric Bavier